Subject: bug#22392: Emacs OS X GUI doesn't set locale

From: Random832 <[email-masked]>
Date: Fri, 05 Feb 2016 02:12:12 -0500

Eli Zaretskii <[email-masked]> writes:

> By contrast, OS X is (AFAIK) a BSD-ish system, so I expect much more
> programs to change their behavior when LANG is set to something that
> suits Emacs, but is not necessarily "right" for the rest of the
> system.

Why wouldn't it be right for the rest of the system? Keep in mind that
99% of the time the only programs that are going to be executing
"BSD-ish" programs are going to be terminal emulators, which also set
LANG.

The main thing _I'm_ not comfortable with is the fact that it _doesn't_
set a UTF-8 locale.